# Generated by `rjournal_article()` using `knitr::purl()`: do not edit by hand
# Please edit akc.Rmd to modify this file

## ----setup, include=FALSE-----------------------------------------------------
knitr::opts_chunk$set (echo = FALSE, warning = FALSE, message = FALSE)
library (akc)
library (knitr)
library (readr)
read_csv ("./tab1.csv") -> tab1


## ----fig1, out.width = "100%", out.height = "30%", fig.cap = "The design of akc framework. Generally, the framework includes four steps, namely: (1)	Keyword extraction (optional); (2) Keyword preprocessing; (3)	Network construction and clustering; (4)	Results presentation."----
knitr::include_graphics ("fig1.png")


## ----fig2, out.width = "100%", out.height = "30%", fig.cap = "An example of keyword extraction procedure. The raw text would be first divided sentence by sentence, then tokenized to n-grams and yield the target keywords based on a dictionary. The letters are automatically turned to lower case."----
knitr::include_graphics ("fig2.png")


## ----tab1-1, eval = knitr::is_html_output (), layout = "l-body-outset"--------
#> knitr::kable (tab1, format = "html", caption = "An example of keyword merging rule applied in akc. The keywords with the same lemma or stem would be merged to the highest frequency keyword in the original form.",align = "c")%>%
#>   kableExtra::kable_styling (position = "center")


## ----tab1-2, eval = knitr::is_latex_output ()---------------------------------
knitr::kable (tab1, format = "latex", caption = "An example of keyword merging rule applied in akc. The keywords with the same lemma or stem would be merged to the highest frequency keyword in the original form.",align = "c") %>%
  kableExtra::kable_styling (font_size = 7) 


## ---- echo=TRUE---------------------------------------------------------------
library (akc)
rj_bib = readRDS ("./rj_bib.rds")
rj_bib


## ---- echo=TRUE---------------------------------------------------------------
# import the user-defined dictionary
rj_user_dict = readRDS ("./rj_user_dict.rds")
rj_user_dict


## ----echo=TRUE----------------------------------------------------------------
rj_dict = make_dict (rj_user_dict$keyword)


## ----echo=TRUE----------------------------------------------------------------
rj_extract_keywords = rj_bib %>% 
  keyword_extract (id = "id",text = "abstract",dict = rj_dict)


## ----echo=TRUE----------------------------------------------------------------
rj_cleaned_keywords = rj_extract_keywords %>% 
  keyword_clean () %>% 
  keyword_merge ()


## ----echo=TRUE----------------------------------------------------------------
rj_network = rj_cleaned_keywords %>% 
  keyword_group ()


## ----fig4,echo=TRUE,out.width = "100%", fig.cap="Network visualization for knowledge classification of R Journal (2009-2021). The keywords were automatically classified into three groups based on Fastgreedy algorithm. Only the top 10 keywords by frequency are displayed in each group.",fig.align='center'----
rj_network %>% 
  keyword_vis ()


## ----fig5,echo=TRUE,out.width = "100%", fig.cap="Focus on one cluster of the knowledge network of R journal (2009-2021). Top 20 keywords by frequency are shown in the displayed group.",fig.align='center'----
rj_network %>% 
  keyword_network (group_no = 1,max_nodes = 20) 


## ----table1,echo=TRUE---------------------------------------------------------
rj_table = rj_network %>% 
  keyword_table () 


## ----tab2-1, eval = knitr::is_html_output (), layout = "l-body-outset"--------
#> knitr::kable (rj_table, format = "html", caption = "Top 10 keywords by frequency in each knowledge classification of R Journal (2009-2021).",align = "c")%>%
#>   kableExtra::kable_styling (position = "center") %>%
#>   kableExtra::column_spec (2, width = "16cm")


## ----tab2-2, eval = knitr::is_latex_output ()---------------------------------
knitr::kable (rj_table, format = "latex", caption = "Top 10 keywords by frequency in each knowledge classification of R Journal (2009-2021).",align = "c") %>% 
  kableExtra::kable_styling (font_size = 7) %>%
  kableExtra::column_spec (2, width = "10cm")

